Debian Bug report logs - #729282
ITP: htslib -- C library for high-throughput sequencing data formats

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Charles Plessy <plessy@debian.org>

Date: Mon, 11 Nov 2013 08:15:02 UTC

Owned by: Charles Plessy <plessy@debian.org>

Severity: wishlist

Fixed in version htslib/0.2.0~rc3-1

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, debian-devel@lists.debian.org, debian-med@lists.debian.org, wnpp@debian.org:
Bug#729282; Package wnpp. (Mon, 11 Nov 2013 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, debian-devel@lists.debian.org, debian-med@lists.debian.org, wnpp@debian.org. (Mon, 11 Nov 2013 08:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: htslib -- C library for high-throughput sequencing data formats
Date: Mon, 11 Nov 2013 17:13:32 +0900
Package: wnpp
Severity: wishlist
Owner: Charles Plessy <plessy@debian.org>

Hello everybody,

I intend to package the HTSlib, that some existing packages (samtools,
tabix) will need later.

Cheers,

-- Charles Plessy, Tsurumi, Kanagawa, Japan

  Package name    : htslib
  Version         : 0.2
  Upstream Author : See below
  URL             : https://github.com/samtools/htslib/tree/develop
  License         : Mostly MIT, see below
  Programming Lang: C
  Description     : C library for high-throughput sequencing data formats


Package: libhts0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library for high-throughput sequencing data formats
 
 HTSlib is a unified C library for accessing common file formats, such as SAM
 (Sequence Alignment/Map) and VCF (Variant Call Format), used for nucleic acid
 sequence data obtained by high-throughput sequencing.
 .
 HTSlib implements a generalized BAM (binary SAM) index.  The HTSlib file
 reader first looks for the new index and then for the old if the new index is
 absent.
 .
 HTSlib is still experimental.  It has not been tested on large-scale real data. Some
 useful APIs are missing.

Package: libhts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Development files for the HTSlib
 HTSlib is a unified C library for accessing common file formats, such as SAM
 (Sequence Alignment/Map) and VCF (Variant Call Format), used for nucleic acid
 sequence data obtained by high-throughput sequencing.
 .
 This package contains development files: headers, static library, manual pages,
 etc.

Package: htslib-test
Architecture: all
Depends: ${misc:Depends}
Description: Test data for HTSlib
 HTSlib is a unified C library for accessing common file formats, such as SAM
 (Sequence Alignment/Map) and VCF (Variant Call Format), used for nucleic acid
 sequence data obtained by high-throughput sequencing.
 .
 This package contains test files and scripts for the HTSlib.


Files: *
Copyright: (C) 2012-2013 Genome Research Ltd.
           (c) 2008 Broad Institute / Massachusetts Institute of Technology
           The Wellcome Trust Sanger Institute
           (c) 2008, 2009, 2011 by Attractive Chaos <attractor@live.co.uk>
License: MIT

Files: cram/*
Copyright: (c) 2012-2013 Genome Research Ltd.
           (c) 1995-1996 MEDICAL RESEARCH COUNCIL
License: Various_BSD-3-Clause

Files: cram/md5.? 
Copyright: No copyright is claimed
License: solar-MD5
 This is an OpenSSL-compatible implementation of the RSA Data Security, Inc.
 MD5 Message-Digest Algorithm (RFC 1321).
 .
 Homepage:
 http://openwall.info/wiki/people/solar/software/public-domain-source-code/md5
 .
 Author:
 Alexander Peslyak, better known as Solar Designer <solar at openwall.com>
 .
 This software was written by Alexander Peslyak in 2001.  No copyright is
 claimed, and the software is hereby placed in the public domain.
 In case this attempt to disclaim copyright and place the software in the
 public domain is deemed null and void, then the software is
 Copyright (c) 2001 Alexander Peslyak and it is hereby released to the
 general public under the following terms:
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted.
 .
 There's ABSOLUTELY NO WARRANTY, express or implied.

Files: htslib/razf.?
Copyright: 2008, Jue Ruan <ruanjue@gmail.com>, Heng Li <lh3@sanger.ac.uk>
License: BSD-2-clause~with-minor-differences-in-the-disclaimer



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 16 Nov 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Sun, 01 Dec 2013 16:03:37 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Sun, 01 Dec 2013 16:03:37 GMT) Full text and rfc822 format available.

Message #12 received at 729282-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 729282-close@bugs.debian.org
Subject: Bug#729282: fixed in htslib 0.2.0~rc3-1
Date: Sun, 01 Dec 2013 16:00:07 +0000
Source: htslib
Source-Version: 0.2.0~rc3-1

We believe that the bug you reported is fixed in the latest version of
htslib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated htslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 16 Nov 2013 15:35:03 +0900
Source: htslib
Binary: libhts0 libhts-dev htslib-test
Architecture: source amd64 all
Version: 0.2.0~rc3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 htslib-test - Test data for HTSlib
 libhts-dev - Development files for the HTSlib
 libhts0    - C library for high-throughput sequencing data formats
Closes: 729282
Changes: 
 htslib (0.2.0~rc3-1) unstable; urgency=low
 .
   * Initial release. (Closes: #729282)
Checksums-Sha1: 
 bd34306f015be0dd90a1c58c12f16280b924064e 2039 htslib_0.2.0~rc3-1.dsc
 a34fc68574d10754d9813fdb7ce4dad52da99d05 923352 htslib_0.2.0~rc3.orig.tar.gz
 336b5f8094a71997a7cbd74d0d1c69f43801449b 10532 htslib_0.2.0~rc3-1.diff.gz
 68883a6fb26a0c9fc5d057d370eff2c5d795af5d 183826 libhts0_0.2.0~rc3-1_amd64.deb
 65beede3659386ae4d9df13d15bcb770b77b2112 221284 libhts-dev_0.2.0~rc3-1_amd64.deb
 ac04ef188b27f4aed31836d948d3c1e5afb8d5ec 514106 htslib-test_0.2.0~rc3-1_all.deb
Checksums-Sha256: 
 112816defd06b384117e770b45ac0c25c5c6c35addc602442871645ae045cf42 2039 htslib_0.2.0~rc3-1.dsc
 5e972ce7048c9b236911cd30e2100f7bfb28e65aa4cc3687a9aaf31d116be3ce 923352 htslib_0.2.0~rc3.orig.tar.gz
 3575954047af6c97d4500b3eb0b0bf78c327f355804a54844a128bb5391dd1a8 10532 htslib_0.2.0~rc3-1.diff.gz
 ca825bf740968fab20c50d49be6ea446f6dad4cc041638af28e51c48c4b8092b 183826 libhts0_0.2.0~rc3-1_amd64.deb
 49f8bb3be8c784927e60bc856fbe3004f013f26dfe7b8f06f7e80754c6db4bd2 221284 libhts-dev_0.2.0~rc3-1_amd64.deb
 7fd8597061206552f31f146276bac59473d2e96fb751c1f6451affdbe7a49f6b 514106 htslib-test_0.2.0~rc3-1_all.deb
Files: 
 1d21905015a24b86b28762a01758e029 2039 libs optional htslib_0.2.0~rc3-1.dsc
 5d055a061e84ae987b25cb72bb4173d6 923352 libs optional htslib_0.2.0~rc3.orig.tar.gz
 e7f26daf824e4fa67171c78cc6ef932b 10532 libs optional htslib_0.2.0~rc3-1.diff.gz
 136ca39311885c1aeffe2565f9cfcd47 183826 libs optional libhts0_0.2.0~rc3-1_amd64.deb
 bb6e3c45eb785b132025527bd2bdc884 221284 libdevel optional libhts-dev_0.2.0~rc3-1_amd64.deb
 40e1ca3c045337aad2355198183ead36 514106 libs optional htslib-test_0.2.0~rc3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJShxNpAAoJEMW9bI8ildUCVgQP/i3wqxtNL+rWiN+NmRf92fbq
1Wx5xWwMG3B/S/b4uo+qNV9awwDijFzmgEDEbBUQ5LIOHJQ/9m/zHUT/1Mcl1WaV
+s9fWhSmlK7s4VIkqhQLGM1UwlAL8rF5/g/jNDf/1epCnZ8EvRyJzowpG1nOHD2m
Igmp2+Fjyh3mK74qs+D2QqcYL6pApU9PJn+tiOL10yVgLjI6hNjeUj8wx8cvl09T
DN0pBRf+tQLMxxyGbyP5zGvpU79gnefSziCKJoupYiEJzAZq9MmgcgNV/QMze8v8
t+LpM4Uu0Js7143H/Y2oErok1cll+T/1Sbwig/Asw+xCuwwUpkOa0RYSU0TnmkWx
JTdRlZf4XlOwfV7OSyG6OA9qxC8rqAxns9po9Qw2Enk6Db5jEOJop21qy0ZpQVcw
RU860IIaCgROKYdtLeegnnifgeOZ+Ah7KFku7mA6bl+QecMV7TLuDXVwlTGcrVK5
dDpkCoNO90A8pJ0cj2HMr1djj6g7VMOdDX1f3FHmKuMKJ6H4nXQ27OuyhkS33Yw9
jOQI7XOn5KgcVqbDQhZlNAcSxxIuMplvWKYups3TERTc/1crP0YEi1MwFBJXrLvJ
4d0L2RdjLylZAIsGldzVS6uoTSGGfmrfOdLFH10+QMd1sGryuujJTW+BPhhFwvGo
thnqcw8JM+C6jvJyQRec
=u1pj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Dec 2013 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:37:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.